Subject: Re: [Pce] Question on DNS service discovery

From: Qin Wu <[email-masked]>
Date: Fri, 11 Oct 2013 05:15:49 +0000

Hi,Stuart:
Sorry for late reply. 
Thanks for your comments and good suggestions and please see my reply inline.
(Apologies Stuart, I share my reply on the list)

Regards!
-Qin
-----Original Message-----
>From: Stuart Cheshire [mailto:[email-masked]] 
>Sent: Tuesday, September 17, 2013 1:59 AM
>To: Qin Wu
>Subject: Re: Question on DNS service discovery

>On 11 Sep, 2013, at 20:56, Qin Wu <[email-masked]> wrote:

>> Hi,Stuart:
>> Good to hear from you. The problem we want to solve is 
>> Since PCE is usually located in one or the other Autonomous System (AS) or ISIS area. how to look up PCE server location information using DNS in
>>AS200 or ISIS Area50? AS 200 or Area50 is also referred to as PCE domain, which is totally different from DNS domain name,e.g., example.com.

>I don't recommend using NAPTR. It's needlessly complicated.

[Qin]:Yes, I agree, In the update of DNS based PCE discovery, we use extended Straightforward-NAPTR(S-NAPTR) instead. The S-NAPTR simplifies the use of NAPTR by limiting the NAPTR flags only to "a", "s" and "". Furthermore, only NAPTR "replacement" expressions are allowed, not "regular expressions", during the rewrite process.
Extended S-NAPTR can be used to provide capability query, e.g., discovery a PCE server support specific capability(e.g., stateful PCE,P2MP,etc.)

>IP addresses are "totally different from DNS domain name" too, but that doesn't stop reverse-mapping records from existing. They just defined a naming 
>convention for the in-addr.arpa and ip6.arpa domains: <https://en.wikipedia.org/wiki/Reverse_DNS_lookup>

>I suggest you do something similar for AS numbers an IS-IS areas.

>Write an RFC that defines names something like <number>.as.arpa.

>In the IANA Considerations section, state that IANA is to manage the as.arpa domain, just like they manage in-addr.arpa and ip6.arpa.

[Qin]: In the (v-03) of DNS based PCE Discovery(http://tools.ietf.org/html/draft-wu-pce-dns-pce-discovery-03), we link PCE domain with DNS domain name to allow NAPTR query for a specific PCE domain associated with
DNS domain name when pre-configuration is used. This is one way, I think the other way is we can rely on pre-configuration and assume Client knows the mapping between PCE domain and DNS domain name, such mapping can be cached in the client, when the client know PCE domain, he can lookup DNS domain name associated with PCE domain based on mapping cached.

Regarding your proposal, I think we need to borrow the concept of reverse lookup, using syntax like "<number>.as.arpa" to establish mapping between PCE domain and DNS domain name. however we may need to define other syntaxs when the client want to discover PCE server in a specific area,e.g., OSPF area10 or ISIS area20.

I think it is worth specifying such DNS mechanisms for establishing mapping between PCE domain and DNS domain name. But I believe it should be specified
in a new draft. 

Stuart Cheshire